package com.backendsys.modules.sdk.baidu.yunapp.entity;

import lombok.Data;

@Data
public class YuappSign {
    private String s;
    private String app_key;
    private Integer auth_ver;
    private Long nonce;

    public String toParams() {
        StringBuilder sb = new StringBuilder();
        sb.append("?s=").append(s);
        sb.append("&appkey=").append(app_key);
        sb.append("&auth_ver=").append(auth_ver);
        sb.append("&nonce=").append(nonce);
        return sb.toString();
    }

}
